Bug 815118 - spacecmd activationkey_import fails on import
spacecmd activationkey_import fails on import
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.7
All All
unspecified Severity medium
: ---
: ---
Assigned To: Steven Hardy
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-22 12:36 EDT by Trent Johnson
Modified: 2012-11-01 12:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:18:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trent Johnson 2012-04-22 12:36:48 EDT
Description of problem:

spacecmd activationkey_import will fail if the exported key did not have any channels set.

Version-Release number of selected component (if applicable):
Any

How reproducible:
spacecmd activationkey_export on a key with no base channel set.
try to import the same key on another server

Steps to Reproduce:
1. spacecmd activationkey_list -q | xargs -n 1 spacecmd  activationkey_export
2. change to another server
3. ls *.json | xargs -n 1 spacecmd activationkey_import
  
Actual results:
ERROR: redstone.xmlrpc.XmlRpcFault: Invalid channel


Expected results:
Successful import

Additional info:
There is also no way to remove base channels via the api (that I can find)

Thanks,
Trent
Comment 1 Steven Hardy 2012-05-24 12:06:01 EDT
Fixed by : dd78914c9ca44c2056d08f41bca07ed2ae890562

Fix will be available in the next nightly build (spacecmd-1.8.8-1)
Comment 2 Jan Pazdziora 2012-10-30 15:23:37 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:18:50 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.